[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: ncurses 5.3 backwards compatibility

From: Thomas E. Dickey
Subject: Re: ncurses 5.3 backwards compatibility
Date: Fri, 8 Nov 2002 15:15:32 -0500 (EST)

On Fri, 8 Nov 2002, Chris Zubrzycki wrote:

> > have had the same issue with strnames.  I suspect that someone tweaked
> > the 5.2 package (or the linker changed).  So that's the issue to
> > resolve.
> Well, the 5.2 package was tweaked, and this time i'm trying to build
> using libtool so we get all the correct dynamic libs, but i cannot even
> rebuild lynx with 5.3 because of the undefined functions.
> what we use for 5.2 is here, and you may be correct, our patch could
> have something to do with this:

maybe - I don't see immediately why.  Let's look at it from the other end:
when you run fink, doesn't it run the ncurses configure script?  If
the result defines BROKEN_LINKER, then ncurses is built with references
to the problematic data items replaced with functions.  That's the first
thing to check, since your comment leads me to understand that the 5.2
package doesn't do that.  Whether acs_map should have been added to that
special case is a second issue to be addressed.

T.E.Dickey <address@hidden>

reply via email to

[Prev in Thread] Current Thread [Next in Thread]